import requests
url = "https://application_id.applications.lucidworks.com/ai/async-prediction/rag/{MODEL_ID}"
payload = { "batch": [
{
"text": "Why did I go to Germany?",
"documents": [
{
"body": "I'm off to Germany to go to the Oktoberfest!",
"source": "http://example.com/112",
"title": "Off to Germany!",
"date": "2022-01-31T19:31:34Z"
}
]
}
] }
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"predictionId": "266fd643-794b-4491-a0b2-cca6b2acbb7a",
"status": "SUBMITTED"
}RAG use case
The rag use case uses candidate documents that are inserted into a LLM’s context to ground the generated response to those documents instead of generating an answer from details stored in the LLM’s trained weights. This type of search adds guardrails so the LLM can search private data collections.
The RAG search can perform queries against external documents passed in as part of the request.
The POST request obtains and indexes prediction information related to the specified use case, and returns a unique predictionId and status of the request. The predictionId can be used later in the GET request to retrieve the results.
import requests
url = "https://application_id.applications.lucidworks.com/ai/async-prediction/rag/{MODEL_ID}"
payload = { "batch": [
{
"text": "Why did I go to Germany?",
"documents": [
{
"body": "I'm off to Germany to go to the Oktoberfest!",
"source": "http://example.com/112",
"title": "Off to Germany!",
"date": "2022-01-31T19:31:34Z"
}
]
}
] }
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"predictionId": "266fd643-794b-4491-a0b2-cca6b2acbb7a",
"status": "SUBMITTED"
}Headers
Bearer token used for authentication. Format: Authorization: Bearer ACCESS_TOKEN.
application/json
"application/json"
Path Parameters
Unique identifier for the model.
Body
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Provides fields and values that specify ranges for tokens. Fields used for specific use cases and models are specified. The default values are used if other values are not specified.
Show child attributes
Show child attributes
Response
OK
This is the response to the POST prediction request submitted for a specific useCase and modelId.
The universal unique identifier (UUID) returned in the POST request. This UUID is required in the GET request to retrieve results.
The current status of the prediction. Allowed values are:
-
SUBMITTED - The POST request was successful and the response has returned the
predictionIdandstatusthat is used by the GET request. -
ERROR - An error was generated when the GET request was sent.
-
READY - The results associated with the
predictionIdare available and ready to be retrieved. -
RETRIEVED - The results associated with the
predictionIdare returned successfully when the GET request was sent.
"SUBMITTED"
Was this page helpful?